Problem with HDF5 and ncdfFlow
2
0
Entering edit mode
@ulrik-stervbo-1723
Last seen 5.6 years ago
Germany

Hello,

I am trying to install ncdfFlow on my Kubuntu 15.04 but it fails because the hdf5.h cannot be found

R CMD INSTALL ncdfFlow_2.14.0.tar.gz 
* installing to library ‘/home/ulrik/R/x86_64-pc-linux-gnu-library/3.2’
* installing *source* package ‘ncdfFlow’ ...
configure: search for hdf5 library in: /usr/lib
configure: found hdf5 library in: /usr/lib
configure: creating ./config.status
config.status: creating src/Makevars
** libs
g++ -I/usr/share/R/include -DNDEBUG -I/usr/include   -I"/home/ulrik/R/x86_64-pc-linux-gnu-library/3.2/Rcpp/include
" -I"/home/ulrik/R/x86_64-pc-linux-gnu-library/3.2/RcppArmadillo/include" -I"/home/ulrik/R/x86_64-pc-linux-gnu-lib
rary/3.2/BH/include"   -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2
-g  -c RcppExports.cpp -o RcppExports.o
g++ -I/usr/share/R/include -DNDEBUG -I/usr/include   -I"/home/ulrik/R/x86_64-pc-linux-gnu-library/3.2/Rcpp/include
" -I"/home/ulrik/R/x86_64-pc-linux-gnu-library/3.2/RcppArmadillo/include" -I"/home/ulrik/R/x86_64-pc-linux-gnu-lib
rary/3.2/BH/include"   -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2
-g  -c bitOps.cpp -o bitOps.o
gcc -std=gnu99 -I/usr/share/R/include -DNDEBUG -I/usr/include   -I"/home/ulrik/R/x86_64-pc-linux-gnu-library/3.2/R
cpp/include" -I"/home/ulrik/R/x86_64-pc-linux-gnu-library/3.2/RcppArmadillo/include" -I"/home/ulrik/R/x86_64-pc-li
nux-gnu-library/3.2/BH/include"   -fpic  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_FORTI
FY_SOURCE=2 -g  -c hdfFlow.c -o hdfFlow.o
In file included from hdfFlow.c:1:0:
hdfFlow.h:4:18: fatal error: hdf5.h: No such file or directory
#include "hdf5.h"
                 ^
compilation terminated.
/usr/lib/R/etc/Makeconf:134: recipe for target 'hdfFlow.o' failed
make: *** [hdfFlow.o] Error 1
ERROR: compilation failed for package ‘ncdfFlow’

I have installed libhdf5-dev, which placed the hdf5.h in

/usr/include/hdf5/serial/hdf5.h

but using this with --configure-args also fails

R CMD INSTALL ncdfFlow_2.14.0.tar.gz --configure-args="--with-hdf5='/usr/inc
lude/serial'"
* installing to library ‘/home/ulrik/R/x86_64-pc-linux-gnu-library/3.2’
* installing *source* package ‘ncdfFlow’ ...
configure: search for hdf5 library in: /usr/include/serial/lib
configure: search for hdf5 library in: /usr/include/serial/lib64
configure: error: hdf5 library not found in "/usr/include/serial"
ERROR: configuration failed for package ‘ncdfFlow’

Any suggestions how I get to install ncdfFlow?

Cheers,

Ulrik

A little system info:

R version 3.2.2 (2015-08-14)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: Ubuntu 15.04

and all the hdf5 I have installed:

apt --installed list | grep hdf5     

WARNING: apt does not have a stable CLI interface yet. Use with caution in scripts.

hdf5-helpers/vivid,now 1.8.13+docs-15 amd64 [installed,automatic]
libhdf5-8/vivid,now 1.8.13+docs-15 amd64 [installed,automatic]
libhdf5-cpp-8/vivid,now 1.8.13+docs-15 amd64 [installed,automatic]
libhdf5-dev/vivid,now 1.8.13+docs-15 amd64 [installed]
installation dependency library hdf5 • 2.5k views
ADD COMMENT
1
Entering edit mode
SamGG ▴ 270
@samgg-6428
Last seen 3 months ago
France/Marseille/Inserm

Hello,

Look at https://github.com/RGLab/ncdfFlow/issues/39

Best

ADD COMMENT
1
Entering edit mode
@ulrik-stervbo-1723
Last seen 5.6 years ago
Germany

Sorry, didn't help. 

EDIT

I managed by pointing to the correct library:

R CMD INSTALL ncdfFlow_2.14.0.tar.gz --configure-args="--with-hdf5='/usr/lib/x86_64-linux-gnu/hdf5/serial'"

The path was found by

pkg-config --libs hdf5

Although I did initially try to install the package with R 3.2.2, I probably had something messed up which prevented things from working well.

ADD COMMENT

Login before adding your answer.

Traffic: 335 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6